classification
Title: Include options for timespec in docstrings of isoformat
Type: enhancement Stage: resolved
Components: Documentation, Library (Lib) Versions: Python 3.10, Python 3.9, Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: cool-RR, docs@python, lukasz.langa, miss-islington, taleinat
Priority: normal Keywords: patch

Created on 2020-09-26 16:44 by cool-RR, last changed 2020-10-05 16:10 by lukasz.langa. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 22418 merged cool-RR, 2020-09-26 16:48
PR 22518 merged miss-islington, 2020-10-03 10:44
PR 22519 merged miss-islington, 2020-10-03 10:44
Messages (6)
msg377534 - (view) Author: Ram Rachum (cool-RR) * Date: 2020-09-26 16:44
Writing the patch now.
msg377867 - (view) Author: Tal Einat (taleinat) * (Python committer) Date: 2020-10-03 10:43
New changeset 52301312bb9de2299b0c42468fd1936d869e651c by Ram Rachum in branch 'master':
bpo-41867: List options for timespec in docstrings of isoformat methods (GH-22418)
https://github.com/python/cpython/commit/52301312bb9de2299b0c42468fd1936d869e651c
msg377870 - (view) Author: miss-islington (miss-islington) Date: 2020-10-03 11:01
New changeset 9aa34f1bbbe1ca6376539f9ba436ff75d2141888 by Miss Skeleton (bot) in branch '3.8':
bpo-41867: List options for timespec in docstrings of isoformat methods (GH-22418)
https://github.com/python/cpython/commit/9aa34f1bbbe1ca6376539f9ba436ff75d2141888
msg377872 - (view) Author: Tal Einat (taleinat) * (Python committer) Date: 2020-10-03 11:42
New changeset 8ca08310a882b7db6469fe732465610b92f4665e by Miss Skeleton (bot) in branch '3.9':
[3.9] bpo-41867: List options for timespec in docstrings of isoformat methods (GH-22418)
https://github.com/python/cpython/commit/8ca08310a882b7db6469fe732465610b92f4665e
msg377873 - (view) Author: Tal Einat (taleinat) * (Python committer) Date: 2020-10-03 11:43
Thanks for this, Ram!
msg378051 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2020-10-05 16:10
New changeset faaa30392221c7d53d995f65f59f26e86fb84d76 by Łukasz Langa (Miss Skeleton (bot)) in branch '3.9':
[3.9] bpo-41867: List options for timespec in docstrings of isoformat methods (GH-22418)
https://github.com/python/cpython/commit/faaa30392221c7d53d995f65f59f26e86fb84d76
History
Date User Action Args
2020-10-05 16:10:19lukasz.langasetnosy: + lukasz.langa
messages: + msg378051
2020-10-03 11:43:06taleinatsetstatus: open -> closed

assignee: docs@python
components: + Documentation
versions: + Python 3.8, Python 3.9
nosy: + docs@python

messages: + msg377873
resolution: fixed
stage: patch review -> resolved
2020-10-03 11:42:31taleinatsetmessages: + msg377872
2020-10-03 11:01:51miss-islingtonsetmessages: + msg377870
2020-10-03 10:44:10miss-islingtonsetpull_requests: + pull_request21528
2020-10-03 10:44:01miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request21527
2020-10-03 10:43:50taleinatsetnosy: + taleinat
messages: + msg377867
2020-09-26 16:48:02cool-RRsetkeywords: + patch
stage: patch review
pull_requests: + pull_request21455
2020-09-26 16:44:43cool-RRcreate